## ruby-defaults 2.7~0

=== debian/changelog ===
ruby-defaults (1:2.7~0) experimental; urgency=medium

  [ Antonio Terceiro ]
  * Make Ruby 2.7 the default and drop Ruby 2.5
  * debian/tests/control: add test-name pkg-config test
  * debian/tests/ruby-all-dev: remove deprecated usage of global must_match
  * Remove ruby.postinst, not really needed nowadays

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 25 Feb 2020 16:20:01 -0300

ruby-defaults (1:2.5.7.1) unstable; urgency=medium

  * d/t/control: Make autopkgtests cross-test-friendly
  * d/t/smoke-test: use $AUTOPKGTEST_TMP instead of the deprecated $ADTTMP
  * Declare compliance with Debian Policy 4.5.0
  * Bump debhelper compaitiblity level to 12

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 20 Feb 2020 16:11:01 -0300

ruby-defaults (1:2.5.7) unstable; urgency=medium

  * Upload to unstable.
    + Both interpreters, 2.5 and 2.7, are enabled.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 17 Feb 2020 19:34:01 -0300

ruby-defaults (1:2.5.7~0) experimental; urgency=medium

  * Enable building against ruby2.7
  * Add myself to Uploaders

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 27 Nov 2019 18:27:44 -0300

=== debian/control ===
Source: ruby-defaults
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Lucas Kanashiro <kanashiro@debian.org>
Build-Depends: debhelper (>= 12~)
Standards-Version: 4.5.0
Homepage: https://www.ruby-lang.org/
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-defaults.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-defaults

Package: ruby
Architecture: any
Multi-Arch: allowed
Depends: ruby2.7, ${misc:Depends}
Suggests: ri, ruby-dev
Conflicts: ruby-activesupport-3.2, ruby-activesupport-2.3
Breaks:
 apt-listbugs (<< 0.1.6),
 ruby-switch (<= 0.1.0),
 rbenv (<= 0.4.0-1),
 ruby-debian (<< 0.3.8+b3)
Replaces: irb, rdoc, rubygems
Provides: irb, rdoc, rubygems
Description: Interpreter of object-oriented scripting language Ruby (default version)
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v2.7).

Package: ruby-dev
Architecture: any
Multi-Arch: same
Depends: ruby2.7-dev, ${misc:Depends}
Description: Header files for compiling extension modules for Ruby (default version)
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby. It is also required to build
 many gems.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v2.7).

Package: ruby-all-dev
Architecture: any
Multi-Arch: same
Depends: ${ruby-all-dev:Depends}, ${misc:Depends}
Description: Ruby development environment (all versions supported in Debian)
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package depends on the respective development packages for every Ruby
 version currently supported by Debian. This will usually be a single version
 (the default one), but during transitions multiple versions might be
 supported.
 .
 To programmatically list all the supported versions, install the `gem2deb`
 package and run `dh_ruby --print-supported`. To determine which is the default
 version, just dereference the /usr/bin/ruby symbolic link.
 .
 If you are not building Ruby packages for Debian, you probably do not need
 this package.

Package: libruby
Section: libs
Architecture: all
Depends: libruby2.7, ${misc:Depends}
Description: Libraries necessary to run Ruby
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the 'libruby' library, necessary to run Ruby.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v2.7).

Package: ri
Architecture: all
Depends: ruby2.7, ruby2.7-doc, ${misc:Depends}
Description: Ruby Interactive reference
 ri is a command line tool that displays descriptions of built-in Ruby
 methods, classes, and modules. For methods, it shows you the calling
 sequence and a description. For classes and modules, it shows a
 synopsis along with a list of the methods the class or module
 implements.
 .
 This package provides ri command and descriptions about Ruby.
 This package provides the ri documentation for the Ruby standard library.
 The ri executable itself is in the ruby package.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v2.7).

Package: ruby-full
Architecture: all
Depends: ruby, ruby-dev, ri, ${misc:Depends}
Description: Ruby full installation (default version)
 For many good reasons, the Ruby programming language is split in many
 small different packages. Installing this package will make sure you have
 all the packages that add up to a full Ruby installation, with the exception
 of the Tcl/Tk bindings for Ruby, which are only recommended.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v2.7).

## ruby-defaults 2.7%2B1

=== debian/changelog ===
ruby-defaults (1:2.7+1) unstable; urgency=medium

  * d/control: ruby breaks ruby-bootsnap (<< 1.4.6-1)

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 03 Apr 2020 16:23:27 -0300

ruby-defaults (1:2.7) unstable; urgency=medium

  * Upload to unstable.
    + Switch the default to ruby2.7

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 18 Mar 2020 08:54:19 -0300

## ruby-defaults 2.7+1

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
  apt-listbugs (<< 0.1.6),
  ruby-switch (<= 0.1.0),
  rbenv (<= 0.4.0-1),
- ruby-debian (<< 0.3.8+b3)
+ ruby-debian (<< 0.3.8+b3),
+ ruby-bootsnap (<< 1.4.6-1)
 Replaces: irb, rdoc, rubygems
 Provides: irb, rdoc, rubygems
 Description: Interpreter of object-oriented scripting language Ruby (default version)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# XXX remember to regenerate debian/ruby.postinst when you change either of
# these variables.
#
# $ debian/rules debian/ruby.postinst
#
export DEBIAN_DEFAULT_RUBY_VERSION=2.7
export DEBIAN_RUBY_PROGRAMS = \
  erb \
  gem \
  irb \
  rdoc \
  ri \
  ruby

%:
	dh $@

override_dh_auto_configure:
	debian/version-check "$(DEB_VERSION)" "$(DEBIAN_DEFAULT_RUBY_VERSION)"
	dh_auto_configure

debian/ruby.postinst: debian/ruby.postinst.in
	sed -e 's/@@DEBIAN_DEFAULT_RUBY_VERSION@@/$(DEBIAN_DEFAULT_RUBY_VERSION)/g; s/@@DEBIAN_RUBY_PROGRAMS@@/$(DEBIAN_RUBY_PROGRAMS)/g' $< > $@ || ($(RM) $@; false)

override_dh_gencontrol:
	./debian/ruby-all-dev-depends >> debian/ruby-all-dev.substvars
	dh_gencontrol

override_dh_auto_install-arch:
	dh_auto_install
	dh_link -pruby-dev /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/ruby-$(DEBIAN_DEFAULT_RUBY_VERSION).pc \
		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/ruby.pc

## ruby-defaults 2.7+2

=== debian/changelog ===
ruby-defaults (1:2.7+2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 1.8.1-8.
  * Set debhelper-compat version in Build-Depends.

  [ Antonio Terceiro ]
  * Drop gem binary -> Depends: ruby-rubygems

  [ Cédric Boutillier ]
  * Add .gitattributes to keep unwanted files out of the source package

 -- Lucas Kanashiro <kanashiro@debian.org>  Sun, 18 Oct 2020 23:37:08 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
-Build-Depends: debhelper (>= 12~)
+Build-Depends: debhelper-compat (= 12)
 Standards-Version: 4.5.0
 Homepage: https://www.ruby-lang.org/
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-defaults.git
@@ -13,7 +13,7 @@
 Package: ruby
 Architecture: any
 Multi-Arch: allowed
-Depends: ruby2.7, ${misc:Depends}
+Depends: ruby2.7, ruby-rubygems, ${misc:Depends}
 Suggests: ri, ruby-dev
 Conflicts: ruby-activesupport-3.2, ruby-activesupport-2.3
 Breaks:
@@ -115,4 +115,3 @@
  .
  This package is a dependency package, which depends on Debian's default Ruby
  version (currently v2.7).
-

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 export DEBIAN_DEFAULT_RUBY_VERSION=2.7
 export DEBIAN_RUBY_PROGRAMS = \
   erb \
-  gem \
   irb \
   rdoc \
   ri \

## ruby-defaults 2.7+2build1

=== debian/changelog ===
ruby-defaults (1:2.7+2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:04 +0200

## ruby-defaults 3.0~exp1

=== debian/changelog ===
ruby-defaults (1:3.0~exp1) experimental; urgency=medium

  * Make Ruby 3.0 the default, also remove Ruby 2.7 support.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 02 Dec 2021 16:42:26 -0300

ruby-defaults (1:2.7.6) unstable; urgency=medium

  * Upload version from experimental to unstable.

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 29 Oct 2021 09:44:25 -0300

ruby-defaults (1:2.7.6~exp1) experimental; urgency=medium

  [ Lucas Kanashiro ]
  * Add support for ruby3.0 as an alternative interpreter

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Oct 2021 08:27:11 -0300

ruby-defaults (1:2.7.5) unstable; urgency=medium

  * Revert "Add support for ruby3.0 as an alternative interpreter"
    ruby3.0 3.0.2-1 builds failed on several architectures, and this makes
    it impossible to resolve build dependencies for any ruby package on
    of those architectures.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Oct 2021 08:18:21 -0300

ruby-defaults (1:2.7.4) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since stretch

  [ Lucas Kanashiro ]
  * Enable ruby3.0 as an alternative interpreter in unstable
  * Bump debhelper compatibility level to 13
  * Declare compliance with Debian Policy 4.6.0.1

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 01 Oct 2021 11:48:21 -0300

ruby-defaults (1:2.7.2~exp1) experimental; urgency=medium

  * Add support for ruby3.0 as an alternative interpreter.

 -- Lucas Kanashiro <kanashiro@debian.org>  Sat, 31 Oct 2020 16:00:10 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0.1
 Homepage: https://www.ruby-lang.org/
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-defaults.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-defaults
@@ -13,14 +13,11 @@
 Package: ruby
 Architecture: any
 Multi-Arch: allowed
-Depends: ruby2.7, ruby-rubygems, ${misc:Depends}
+Depends: ruby3.0, ruby-rubygems, ${misc:Depends}
 Suggests: ri, ruby-dev
 Conflicts: ruby-activesupport-3.2, ruby-activesupport-2.3
 Breaks:
- apt-listbugs (<< 0.1.6),
  ruby-switch (<= 0.1.0),
- rbenv (<= 0.4.0-1),
- ruby-debian (<< 0.3.8+b3),
  ruby-bootsnap (<< 1.4.6-1)
 Replaces: irb, rdoc, rubygems
 Provides: irb, rdoc, rubygems
@@ -31,12 +28,12 @@
  straight-forward, and extensible.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v2.7).
+ version (currently v3.0).
 
 Package: ruby-dev
 Architecture: any
 Multi-Arch: same
-Depends: ruby2.7-dev, ${misc:Depends}
+Depends: ruby3.0-dev, ${misc:Depends}
 Description: Header files for compiling extension modules for Ruby (default version)
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -48,7 +45,7 @@
  many gems.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v2.7).
+ version (currently v3.0).
 
 Package: ruby-all-dev
 Architecture: any
@@ -75,7 +72,7 @@
 Package: libruby
 Section: libs
 Architecture: all
-Depends: libruby2.7, ${misc:Depends}
+Depends: libruby3.0, ${misc:Depends}
 Description: Libraries necessary to run Ruby
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -85,11 +82,11 @@
  This package includes the 'libruby' library, necessary to run Ruby.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v2.7).
+ version (currently v3.0).
 
 Package: ri
 Architecture: all
-Depends: ruby2.7, ruby2.7-doc, ${misc:Depends}
+Depends: ruby3.0, ruby3.0-doc, ${misc:Depends}
 Description: Ruby Interactive reference
  ri is a command line tool that displays descriptions of built-in Ruby
  methods, classes, and modules. For methods, it shows you the calling
@@ -102,7 +99,7 @@
  The ri executable itself is in the ruby package.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v2.7).
+ version (currently v3.0).
 
 Package: ruby-full
 Architecture: all
@@ -114,4 +111,4 @@
  of the Tcl/Tk bindings for Ruby, which are only recommended.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v2.7).
+ version (currently v3.0).

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,14 @@
 #
 # $ debian/rules debian/ruby.postinst
 #
-export DEBIAN_DEFAULT_RUBY_VERSION=2.7
+export DEBIAN_DEFAULT_RUBY_VERSION=3.0
 export DEBIAN_RUBY_PROGRAMS = \
   erb \
   irb \
   rdoc \
   ri \
   ruby
+export SUPPORTED_API_VERSIONS = $(shell sed -e '/api_version:/!d; s/[^0-9\.]//g ' ruby_debian_dev.rb)
 
 %:
 	dh $@
@@ -34,3 +35,8 @@
 	dh_auto_install
 	dh_link -pruby-dev /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/ruby-$(DEBIAN_DEFAULT_RUBY_VERSION).pc \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/ruby.pc
+	for version in $(SUPPORTED_API_VERSIONS); do \
+		dh_link -pruby-all-dev \
+			/usr/lib/$(DEB_HOST_MULTIARCH)/ruby/$${version}/rbconfig.rb \
+			/usr/lib/$(DEB_HOST_MULTIARCH)/ruby-crossbuild/$${version}/rbconfig.rb; \
+		done

## ruby-defaults 3.0+1

=== debian/changelog ===
ruby-defaults (1:3.0+1) unstable; urgency=medium

  * Remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 07 Mar 2022 17:37:10 -0300

ruby-defaults (1:3.0) unstable; urgency=medium

  * Re-add ruby2.7 as an alternative interpreter.
    ruby3.0 is still the default but to ease the transition (avoid any
    entanglement with other transitions) we are re-adding ruby2.7 and it
    will be removed as the next and final stage of the transition.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 17 Feb 2022 12:18:38 -0300

## ruby-defaults 3.1~1

=== debian/changelog ===
ruby-defaults (1:3.1~1) unstable; urgency=medium

  * Upload to unstable, switching default to ruby3.1
  * Revert "Drop support for ruby3.0"

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 29 Nov 2022 14:35:48 -0300

ruby-defaults (1:3.1~0) experimental; urgency=medium

  * Make Ruby 3.1 the default
  * Make `ruby` depend on the exact same version of libruby
  * Drop support for ruby3.0

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 13 Oct 2022 14:49:19 -0300

ruby-defaults (1:3.0+3.1) unstable; urgency=medium

  * Enable ruby3.1 as a supported interpreter in unstable.
  * Switch ruby dependencies to use libruby instead.
    Now, instead of ruby-foo depends: ruby, we will have ruby-foo depends:
    libruby, and ruby depends: libruby. This requires libruby to be
    architecture dependent, and marked as Multi-Arch: same.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 20 Sep 2022 08:54:17 -0300

ruby-defaults (1:3.0+2) experimental; urgency=medium

  * Add support for ruby3.1

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 01 May 2022 19:49:28 -0300

## ruby-defaults 3.1

=== debian/changelog ===
ruby-defaults (1:3.1) unstable; urgency=medium

  * Drop support for ruby3.0

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 23 Dec 2022 14:03:27 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: ruby
 Architecture: any
 Multi-Arch: allowed
-Depends: ruby3.0, ruby-rubygems, ${misc:Depends}
+Depends: ruby3.1, libruby (= ${binary:Version}), ruby-rubygems, ${misc:Depends}
 Suggests: ri, ruby-dev
 Conflicts: ruby-activesupport-3.2, ruby-activesupport-2.3
 Breaks:
@@ -28,12 +28,12 @@
  straight-forward, and extensible.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.0).
+ version (currently v3.1).
 
 Package: ruby-dev
 Architecture: any
 Multi-Arch: same
-Depends: ruby3.0-dev, ${misc:Depends}
+Depends: ruby3.1-dev, ${misc:Depends}
 Description: Header files for compiling extension modules for Ruby (default version)
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -45,7 +45,7 @@
  many gems.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.0).
+ version (currently v3.1).
 
 Package: ruby-all-dev
 Architecture: any
@@ -71,8 +71,9 @@
 
 Package: libruby
 Section: libs
-Architecture: all
-Depends: libruby3.0, ${misc:Depends}
+Architecture: any
+Multi-Arch: same
+Depends: libruby3.1, ${misc:Depends}
 Description: Libraries necessary to run Ruby
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -82,11 +83,11 @@
  This package includes the 'libruby' library, necessary to run Ruby.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.0).
+ version (currently v3.1).
 
 Package: ri
 Architecture: all
-Depends: ruby3.0, ruby3.0-doc, ${misc:Depends}
+Depends: ruby3.1, ruby3.1-doc, ${misc:Depends}
 Description: Ruby Interactive reference
  ri is a command line tool that displays descriptions of built-in Ruby
  methods, classes, and modules. For methods, it shows you the calling
@@ -99,7 +100,7 @@
  The ri executable itself is in the ruby package.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.0).
+ version (currently v3.1).
 
 Package: ruby-full
 Architecture: all
@@ -111,4 +112,4 @@
  of the Tcl/Tk bindings for Ruby, which are only recommended.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.0).
+ version (currently v3.1).

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 # $ debian/rules debian/ruby.postinst
 #
-export DEBIAN_DEFAULT_RUBY_VERSION=3.0
+export DEBIAN_DEFAULT_RUBY_VERSION=3.1
 export DEBIAN_RUBY_PROGRAMS = \
   erb \
   irb \

## ruby-defaults 3.1+nmu1

=== debian/changelog ===
ruby-defaults (1:3.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * libruby: follow libruby3.1 -> libruby3.1t64 rename (Closes: #1067043)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Mar 2024 16:08:39 +0100

## ruby-defaults 3.1+support3.3~0

=== debian/changelog ===
ruby-defaults (1:3.1+support3.3~0) experimental; urgency=medium

  [ Antonio Terceiro ]
  * Support skipping an interpreter by setting RUBY_ALL_DEV_SKIP.
    Note that this is a developer feature, and MUST NOT be used in any
    packages.

  [ Lucas Kanashiro ]
  * Replace ruby3.2 with ruby3.3.
    Skip ruby3.2 and move straight to ruby3.3.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 08 Jul 2024 23:46:58 -0300

ruby-defaults (1:3.1+1) experimental; urgency=medium

  * Add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 20 Oct 2023 16:48:21 -0300

## ruby-defaults 3.1+support3.3

=== debian/changelog ===
ruby-defaults (1:3.1+support3.3) unstable; urgency=medium

  * Upload to unstable, adding support to ruby3.3

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 10 Jan 2025 13:33:30 -0300

=== debian/control ===
--- 
+++ 
@@ -73,7 +73,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libruby3.1, ${misc:Depends}
+Depends: libruby3.1t64, ${misc:Depends}
 Description: Libraries necessary to run Ruby
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text

## ruby-defaults 3.2~ubuntu1

=== debian/changelog ===
ruby-defaults (1:3.2~ubuntu1) noble; urgency=medium

  * Make Ruby 3.2 the default.
    Remove Ruby 3.1 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 19 Feb 2024 09:49:07 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ruby-defaults
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
 Build-Depends: debhelper-compat (= 13)
@@ -13,7 +14,7 @@
 Package: ruby
 Architecture: any
 Multi-Arch: allowed
-Depends: ruby3.1, libruby (= ${binary:Version}), ruby-rubygems, ${misc:Depends}
+Depends: ruby3.2, libruby (= ${binary:Version}), ruby-rubygems, ${misc:Depends}
 Suggests: ri, ruby-dev
 Conflicts: ruby-activesupport-3.2, ruby-activesupport-2.3
 Breaks:
@@ -28,12 +29,12 @@
  straight-forward, and extensible.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.1).
+ version (currently v3.2).
 
 Package: ruby-dev
 Architecture: any
 Multi-Arch: same
-Depends: ruby3.1-dev, ${misc:Depends}
+Depends: ruby3.2-dev, ${misc:Depends}
 Description: Header files for compiling extension modules for Ruby (default version)
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -45,7 +46,7 @@
  many gems.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.1).
+ version (currently v3.2).
 
 Package: ruby-all-dev
 Architecture: any
@@ -73,7 +74,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libruby3.1t64, ${misc:Depends}
+Depends: libruby3.2, ${misc:Depends}
 Description: Libraries necessary to run Ruby
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -83,11 +84,11 @@
  This package includes the 'libruby' library, necessary to run Ruby.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.1).
+ version (currently v3.2).
 
 Package: ri
 Architecture: all
-Depends: ruby3.1, ruby3.1-doc, ${misc:Depends}
+Depends: ruby3.2, ruby3.2-doc, ${misc:Depends}
 Description: Ruby Interactive reference
  ri is a command line tool that displays descriptions of built-in Ruby
  methods, classes, and modules. For methods, it shows you the calling
@@ -100,7 +101,7 @@
  The ri executable itself is in the ruby package.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.1).
+ version (currently v3.2).
 
 Package: ruby-full
 Architecture: all
@@ -112,4 +113,4 @@
  of the Tcl/Tk bindings for Ruby, which are only recommended.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.1).
+ version (currently v3.2).

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 # $ debian/rules debian/ruby.postinst
 #
-export DEBIAN_DEFAULT_RUBY_VERSION=3.1
+export DEBIAN_DEFAULT_RUBY_VERSION=3.2
 export DEBIAN_RUBY_PROGRAMS = \
   erb \
   irb \

## ruby-defaults 3.3~3.2

=== debian/changelog ===
ruby-defaults (1:3.3~3.2) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * d/control: add puppet-agent (<= 7.24.0) to Breaks statement

  [ Utkarsh Gupta ]
  * Add Breaks for ruby-marisa (<< 0.2.6-18+b4)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 31 Jan 2025 14:48:28 +0100

ruby-defaults (1:3.3~3.1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/tests/smoke-test: provide default for $AUTOPKGTEST_TMP
  * Reinstate support for ruby3.1

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 23 Jan 2025 21:45:24 -0300

ruby-defaults (1:3.3~0) experimental; urgency=medium

  * Add new script: rdbg
  * Make Ruby 3.3 the default
  * Drop support for Ruby 3.1
  * debian/tests: drop obsolete, unused wheezy2jessie tests

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 19 Jan 2025 22:17:44 -0300

## ruby-defaults 3.3~ubuntu3

=== debian/changelog ===
ruby-defaults (1:3.3~ubuntu3) oracular; urgency=medium

  * Make Ruby 3.3 the default and remove Ruby 3.2.
    The workaround in the previous upload did not work. Let's make version
    3.3 the default again.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 15 Aug 2024 16:16:15 -0300

ruby-defaults (1:3.3~ubuntu2) oracular; urgency=medium

  * Make ruby3.2 the default again and add ruby3.3 as an alternative.
  * d/rules: do not compare the package version and the default version.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 14 Aug 2024 09:44:59 -0300

ruby-defaults (1:3.3~ubuntu1) oracular; urgency=medium

  * Make Ruby 3.3 the default

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 13 Aug 2024 15:46:00 -0300

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
 Package: ruby
 Architecture: any
 Multi-Arch: allowed
-Depends: ruby3.2, libruby (= ${binary:Version}), ruby-rubygems, ${misc:Depends}
+Depends: ruby3.3, libruby (= ${binary:Version}), ruby-rubygems, ${misc:Depends}
 Suggests: ri, ruby-dev
-Conflicts: ruby-activesupport-3.2, ruby-activesupport-2.3
+Conflicts: ruby-activesupport-3.3, ruby-activesupport-2.3
 Breaks:
  ruby-switch (<= 0.1.0),
  ruby-bootsnap (<< 1.4.6-1)
@@ -29,12 +29,12 @@
  straight-forward, and extensible.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.2).
+ version (currently v3.3).
 
 Package: ruby-dev
 Architecture: any
 Multi-Arch: same
-Depends: ruby3.2-dev, ${misc:Depends}
+Depends: ruby3.3-dev, ${misc:Depends}
 Description: Header files for compiling extension modules for Ruby (default version)
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -46,7 +46,7 @@
  many gems.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.2).
+ version (currently v3.3).
 
 Package: ruby-all-dev
 Architecture: any
@@ -74,7 +74,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libruby3.2, ${misc:Depends}
+Depends: libruby3.3, ${misc:Depends}
 Description: Libraries necessary to run Ruby
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -84,11 +84,11 @@
  This package includes the 'libruby' library, necessary to run Ruby.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.2).
+ version (currently v3.3).
 
 Package: ri
 Architecture: all
-Depends: ruby3.2, ruby3.2-doc, ${misc:Depends}
+Depends: ruby3.3, ruby3.3-doc, ${misc:Depends}
 Description: Ruby Interactive reference
  ri is a command line tool that displays descriptions of built-in Ruby
  methods, classes, and modules. For methods, it shows you the calling
@@ -101,7 +101,7 @@
  The ri executable itself is in the ruby package.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.2).
+ version (currently v3.3).
 
 Package: ruby-full
 Architecture: all
@@ -113,4 +113,4 @@
  of the Tcl/Tk bindings for Ruby, which are only recommended.
  .
  This package is a dependency package, which depends on Debian's default Ruby
- version (currently v3.2).
+ version (currently v3.3).

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 # $ debian/rules debian/ruby.postinst
 #
-export DEBIAN_DEFAULT_RUBY_VERSION=3.2
+export DEBIAN_DEFAULT_RUBY_VERSION=3.3
 export DEBIAN_RUBY_PROGRAMS = \
   erb \
   irb \

=== debian/tests/control ===
Tests: smoke-test
Depends: ruby
Restrictions: allow-stderr

Tests: ruby-all-dev
Depends: ruby, ruby-all-dev
Restrictions: allow-stderr

Test-Command: ${DEB_HOST_GNU_TYPE:+$DEB_HOST_GNU_TYPE-}pkg-config --cflags --libs ruby
Depends: ruby-dev, pkg-config
Features: test-name=pkg-config

## ruby-defaults 3.3

=== debian/changelog ===
ruby-defaults (1:3.3) unstable; urgency=medium

  * Upload to unstable to remove ruby3.1 support.
    ruby3.3 is the only supported interpreter.

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 11 Feb 2025 17:23:48 -0300

ruby-defaults (1:3.3~3.3) experimental; urgency=medium

  * Remove ruby3.1 from the list of supported interpreters.
    Now, ruby3.3 is the default and only supported interpreter.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 10 Feb 2025 10:39:03 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ruby-defaults
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
 Build-Depends: debhelper-compat (= 13)
@@ -16,10 +15,12 @@
 Multi-Arch: allowed
 Depends: ruby3.3, libruby (= ${binary:Version}), ruby-rubygems, ${misc:Depends}
 Suggests: ri, ruby-dev
-Conflicts: ruby-activesupport-3.3, ruby-activesupport-2.3
+Conflicts: ruby-activesupport-3.2, ruby-activesupport-2.3
 Breaks:
+ ruby-marisa (<< 0.2.6-18+b4),
  ruby-switch (<= 0.1.0),
- ruby-bootsnap (<< 1.4.6-1)
+ ruby-bootsnap (<< 1.4.6-1),
+ puppet-agent (<= 7.24.0)
 Replaces: irb, rdoc, rubygems
 Provides: irb, rdoc, rubygems
 Description: Interpreter of object-oriented scripting language Ruby (default version)

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 export DEBIAN_RUBY_PROGRAMS = \
   erb \
   irb \
+  rdbg \
   rdoc \
   ri \
   ruby

## ruby-defaults 3.3build1

=== debian/changelog ===
ruby-defaults (1:3.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:39:30 +0100

## ruby-defaults 3.3+support3.4~0

=== debian/changelog ===
ruby-defaults (1:3.3+support3.4~0) experimental; urgency=medium

  * Add support for ruby3.4 as alternative interpreter
  * Declare compliance with Debian Policy 4.7.2

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 22 Aug 2025 15:03:34 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.2
 Homepage: https://www.ruby-lang.org/
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-defaults.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-defaults

## ruby-defaults 3.3+support3.4~1

=== debian/changelog ===
ruby-defaults (1:3.3+support3.4~1) experimental; urgency=medium

  * Ensure all provided binaries are symlinked into /usr/bin

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 03 Feb 2026 14:57:04 -0300

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,12 @@
 export DEBIAN_RUBY_PROGRAMS = \
   erb \
   irb \
+  rbs \
   rdbg \
   rdoc \
   ri \
+  syntax_suggest \
+  typeprof \
   ruby
 export SUPPORTED_API_VERSIONS = $(shell sed -e '/api_version:/!d; s/[^0-9\.]//g ' ruby_debian_dev.rb)

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Tests: smoke-test
+Tests: smoke-test, binaries
 Depends: ruby
 Restrictions: allow-stderr

## ruby-defaults 4.1

=== doc/Makefile ===
#
# Makefile
# $Id: Makefile,v 1.4 2003-08-22 18:06:33 ukai Exp $
#

all: text html

%.txt: %.sgml
	LANG=C debiandoc2text $<

%.html/index.html: %.sgml
	LANG=C debiandoc2html $<

txt text: ruby-policy.txt
html: ruby-policy.html/index.html

clean:
	-rm -f ruby-policy.txt
	-rm -rf ruby-policy.html

#

=== debian/control ===
Source: ruby-defaults
Section: interpreters
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Uploaders: akira yamada <akira@debian.org>, Akira TAGOH <tagoh@debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Build-Depends: debhelper (>= 5), cdbs
Build-Depends-Indep: debiandoc-sgml
Standards-Version: 3.7.3

Package: ruby
Architecture: all
Depends: ruby1.8
Description: An interpreter of object-oriented scripting language Ruby
 Ruby is the interpreted scripting language for quick and
 easy object-oriented programming.  It has many features to
 process text files and to do system management tasks (as in
 perl).  It is simple, straight-forward, and extensible.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libruby
Section: libs
Architecture: all
Depends: libruby1.8
Conflicts: libsdbm-ruby (<< 4), libdl-ruby (<< 4), libpty-ruby (<< 4), libbigdecimal-ruby (<< 4), libsyslog-ruby (<< 4), libstrscan-ruby (<< 4), libiconv-ruby (<< 4), libracc-runtime-ruby (<< 4), libdrb-ruby (<< 4), liberb-ruby (<< 4), libtest-unit-ruby (<< 4), librexml-ruby (<< 4), libxmlrpc-ruby (<< 4), libwebrick-ruby (<< 4), libyaml-ruby (<< 4), libzlib-ruby (<< 4), libcurses-ruby (<< 4)
Replaces: libsdbm-ruby (<< 4), libdl-ruby (<< 4), libpty-ruby (<< 4), libbigdecimal-ruby (<< 4), libsyslog-ruby (<< 4), libstrscan-ruby (<< 4), libiconv-ruby (<< 4), libracc-runtime-ruby (<< 4), libdrb-ruby (<< 4), liberb-ruby (<< 4), libtest-unit-ruby (<< 4), librexml-ruby (<< 4), libxmlrpc-ruby (<< 4), libwebrick-ruby (<< 4), libyaml-ruby (<< 4), libzlib-ruby (<< 4), libcurses-ruby (<< 4)
Provides: libsdbm-ruby, libdl-ruby, libpty-ruby, libbigdecimal-ruby, libsyslog-ruby, libstrscan-ruby, libiconv-ruby, libracc-runtime-ruby, libdrb-ruby, liberb-ruby, libtest-unit-ruby, librexml-ruby, libxmlrpc-ruby, libwebrick-ruby, libyaml-ruby, libzlib-ruby, libcurses-ruby
Description: Libraries necessary to run Ruby 1.8.x
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package provides the ruby standard library (stdlib), which is necessary
 to run Ruby scripts.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libdbm-ruby
Architecture: all
Depends: libdbm-ruby1.8
Description: DBM interface for Ruby
 This package provides an extension library "dbm" for Ruby.  The
 library enables Ruby programs to access DBM files.
 .
 On Debian, the extension library is built with GDBM.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libgdbm-ruby
Architecture: all
Depends: libgdbm-ruby1.8
Description: GDBM interface for Ruby
 This package provides an extension library "gdbm" for Ruby.  The
 library enables Ruby programs to access DBM files.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libreadline-ruby
Architecture: all
Depends: libreadline-ruby1.8
Description: Readline interface for Ruby
 This extended library adds the function for using readline library to Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libtcltk-ruby
Architecture: all
Depends: libtcltk-ruby1.8
Conflicts: libtk-ruby (<< 4)
Replaces: libtk-ruby (<< 4)
Provides: libtk-ruby
Description: Tcl/Tk interface for Ruby
 This package provides an extension library "tcltk" for Ruby. It provides a
 low-level interface to Tcl/Tk.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libopenssl-ruby
Architecture: all
Depends: libopenssl-ruby1.8
Description: OpenSSL interface for Ruby
 This package makes Ruby to be able to use OpenSSL. It includes HTTP and
 TELNET protocols' SSL/TLS support.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: ruby-elisp
Architecture: all
Depends: ruby1.8-elisp
Conflicts: ruby1.6-elisp
Replaces: ruby1.6-elisp
Description: Emacs-lisp ruby-mode for Ruby
 This package provides major-mode for editing Ruby scripts and some
 emacs-lisp programs for Ruby programmers.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: ri
Architecture: all
Depends: ri1.8
Description: Ruby Interactive reference (ri)
 ri is a command line tool that displays descriptions of built-in Ruby
 methods, classes, and modules. For methods, it shows you the calling
 sequence and a description. For classes and modules, it shows a synopsis
 along with a list of the methods the class or module implements.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).
 
Package: rdoc
Section: doc
Architecture: all
Depends: rdoc1.8
Description:  Generate documentation from ruby source files
 RDoc - Documentation from Ruby Source Files
  * Generates structured HTML and XML documentation from Ruby source and C
    extensions.
  * Automatically extracts class, module, method, and attribute definitions.
    These can be annonated using inline comments.
  * Analyzes method visibility.
  * Handles aliasing.
  * Uses non-intrusive and implicit markup in the comments. Readers
    of the original source needn't know that it is marked up at all.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: irb
Architecture: all
Depends: irb1.8
Description: Interactive Ruby (irb)
 The irb is an acronym for Interactive RuBy.  It evaluates Ruby expression
 from the terminal. 
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: ruby-full
Architecture: all
Depends: ruby, irb, rdoc, ri, libdbm-ruby, libgdbm-ruby, 
 libreadline-ruby, libopenssl-ruby, ruby1.8-dev
Recommends: libtcltk-ruby, ruby-elisp
Description: Ruby full installation
 For many good reasons, the Ruby programming language is split in many
 small different packages. Installing this package will make sure you have
 all the packages that add up to a full Ruby installation, with the exception
 of the Tcl/Tk bindings for Ruby, which are only recommended.
 .
 This package installs the dependencies for the current stable
 version of Ruby, which is 1.8.

Package: libtk-ruby
Architecture: all
Depends: libtcltk-ruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libcurses-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libzlib-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libyaml-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libwebrick-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libxmlrpc-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: librexml-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libtest-unit-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: liberb-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libdrb-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libracc-runtime-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libiconv-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libstrscan-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libsyslog-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libbigdecimal-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libpty-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libdl-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

Package: libsdbm-ruby
Architecture: all
Depends: libruby
Description: transitional dummy package
 This is a transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

clean::
	cd doc && [ ! -f Makefile ] || $(MAKE) clean

build/ruby::
	(cd doc && $(MAKE) all)

## ruby-defaults 4.2

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,9 @@
 Build-Depends: debhelper (>= 5), cdbs
 Build-Depends-Indep: debiandoc-sgml
 Standards-Version: 3.7.3
+Homepage: http://www.ruby-lang.org/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-ruby/ruby-defaults/trunk/
+Vcs-Svn: svn://svn.debian.org/pkg-ruby/ruby-defaults/trunk/
 
 Package: ruby
 Architecture: all
@@ -15,6 +18,22 @@
  easy object-oriented programming.  It has many features to
  process text files and to do system management tasks (as in
  perl).  It is simple, straight-forward, and extensible.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Ruby version (currently 1.8.x).
+
+Package: ruby-dev
+Section: devel
+Architecture: all
+Depends: ruby1.8-dev
+Description: Header files for compiling extension modules for Ruby
+ Ruby is the interpreted scripting language for quick and
+ easy object-oriented programming.  It has many features to
+ process text files and to do system management tasks (as in
+ perl).  It is simple, straight-forward, and extensible.
+ .
+ This package provides the header files, necessary to make extension
+ library for Ruby.
  .
  This package is a dependency package, which depends on Debian's default
  Ruby version (currently 1.8.x).
